tp-smapi (0.44-1.2ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:01:32 +0100

tp-smapi (0.44-1.2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Restrict module to amd64

 -- Agathe Porte <agathe.porte@canonical.com>  Thu, 23 Jan 2025 10:47:37 +0100

tp-smapi (0.44-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Use correct DEST_MODULE_LOCATION for hdaps to fix piuparts detected error.
  * Changed dkms binary package architecture from all to 'amd64 i386'.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Jan 2025 16:55:20 +0100

tp-smapi (0.44-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Added AppStream metainfo XML with hardware provide info (Closes: #838736).
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Jan 2025 18:45:03 +0100

tp-smapi (0.44-1ubuntu1) mantic; urgency=medium

  *  Restrict module to amd64

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 22 Sep 2023 06:55:18 +0000

tp-smapi (0.44-1) unstable; urgency=medium

  * New upstream version 0.44
    + Support 6.4 kernel
      Closes: #1038207

 -- Evgeni Golov <evgeni@debian.org>  Mon, 31 Jul 2023 20:09:41 +0200

tp-smapi (0.43-3) unstable; urgency=medium

  * Limit autopkgtest to amd64 and i386 as tp_smapi doesn't work on other
    arches.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 26 Jan 2023 21:42:38 +0100

tp-smapi (0.43-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * Standards-Version: 4.6.2
  * fix d/watch to find a release
  * update source to point at https://github.com/linux-thinkpad/tp_smapi

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.  (Closes: #1027884)
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Declare Rules-Requires-Root: no.
  * Update to copyright-format 1.0.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace spaces in short license names with dashes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 24 Jan 2023 20:44:49 +0100

tp-smapi (0.43-1) unstable; urgency=medium

  * New upstream version 0.43
    + Support 4.15 kernel
      Closes: #884973
  * move to salsa.d.o
  * Standards-Version: 4.1.3.0

 -- Evgeni Golov <evgeni@debian.org>  Sat, 24 Feb 2018 17:35:54 +0100

tp-smapi (0.42-1) unstable; urgency=medium

  * Imported Upstream version 0.42
    + builds fine against newer kernels (Closes: #820724)
    + detects X200s as such (Closes: #735631)
  * make the build reproducible (Closes: #778217)
  * use upstream's dkms.conf
  * stop patching upstreams Makefile, it should just work now
  * use dh_dkms (Closes: #600803)
  * update d/watch
  * update Homepage
  * do not build tp-smapi-source anymore
  * dh rules!
  * Standards-Version: 3.9.8
  * add readme and sysfs.conf to dkms package
  * update Vcs-*
  * format 3.0 (quilt)

 -- Evgeni Golov <evgeni@debian.org>  Mon, 25 Apr 2016 17:59:39 +0200

tp-smapi (0.41-1) unstable; urgency=low

  * New "upstream" release.
    + Droping all patches but the debian specific one.
    + Supports Sandy Bridge ThinkPads. Closes: #628829, #635650
  * README.source should point to quilt doc (since 0.40-3!)
  * Install README.Debian in the dkms package too, thanks rhalina!
  * Standards-Version: 3.9.2
  * Install the sysfs.conf example in -dkms and -source too.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 29 Jul 2011 12:33:50 +0200

tp-smapi (0.40-10) UNRELEASED; urgency=low

  * Update 02_hdaps-orientation-update.patch for X201 and X201t.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 04 Feb 2011 10:12:13 +0100

tp-smapi (0.40-9) unstable; urgency=low

  * debian/patches/03_2.6.37-compatibility.patch:
    + Use DEFINE_SEMAPHORE instead of DECLARE_MUTEX in 2.6.37 and above.
      Closes: #602367
      Thanks: Tanaka Watanabe <hellhound.kerberos@gmail.com>

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Dec 2010 13:44:06 +0100

tp-smapi (0.40-8) unstable; urgency=low

  * debian/patches/02_X200-T500-support.patch:
    + Rename to 02_hdaps-orientation-update.patch
    + Update patch for X201s, T410 and T400s.
  * debian/control:
    + Standards-Version: 3.9.1.
  * debian/source/format:
    + 1.0 for now.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Aug 2010 18:13:06 +0200

tp-smapi (0.40-7) unstable; urgency=low

  * debian/rules:
    + Install README and CHANGES into /u/s/d/tp-smapi-dkms/
      Closes: #562917
    + We do not need CFLAGS here, remove them.
  * debian/control:
    + Add ${misc:Depends} to Depends of tp-smapi-source, thanks lintian.
  * debian/tp-smapi-dkms.postinst:
    + Rework building of the module, so it won't fail in the case the
      correct kernel headers are not available.
      Closes: #562871

 -- Evgeni Golov <evgeni@debian.org>  Wed, 20 Jan 2010 09:23:26 +0100

tp-smapi (0.40-6) unstable; urgency=low

  * Add DKMS support.
  * debian/control{,modules.in}:
    + Standards-Version: 3.8.3.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert=1 for T400 too.
      Closes: #541641.
  * debian/copyright:
    + Update my e-mail address.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Dec 2009 18:15:36 +0100

tp-smapi (0.40-5) unstable; urgency=low

  * Fix typo in X200/T500 patch.
    Thanks Kiko Piris <menorqui@pirispons.net>
    Closes: #533289

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 11:59:02 +0200

tp-smapi (0.40-4) unstable; urgency=low

  * debian/control{,modules.in}:
    + Update my e-mail address.
    + Move Vcs-* fields to my new home on Alioth.
    + Remove DM-Upload-allowed.
  * debian/patches/02_X200-T500-support.patch:
    + Add invert quirks for X200 and T500 reported on Launchpad.
      Closes LP: #374492 and LP: #370289.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 16 Jun 2009 01:26:50 +0200

tp-smapi (0.40-3) unstable; urgency=low

  * debian/control:
    + Fix typo in Vcs-Browser field.
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/control.modules.in:
    + Bump Standards-Version to 3.8.1.
    + Move to kernel section.
  * debian/{control,rules,patches/}:
    + Use quilt instead of dpatch.
  * debian/patches/99_Makefile-for-Debian.patch:
    + Don't try to be smart and detect ancient kernels, that breaks.
      Closes: #521296
  * debian/rules.modules:
    + Install hdaps.ko in $(KVERS)/updates/, not $(KVERS)/kernel/updates/.
      Closes: #522113
  * debian/rules:
    + Add README.Debian to tp-smapi.tar.bz2, so it will show up in the
      built -modules package.
      Closes: #498207
  * debian/control{,.modules.in}:
    + Update descriptions.
  * debian/copyright:
    + Update to machine-readable format, update dates etc.
  * debian/control.moldules.in:
    + Add Vcs-* headers too.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 05 Apr 2009 01:07:56 +0200

tp-smapi (0.40-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Set DM-Upload-Allowed: yes.
    + Add Vcs-* headers.

 -- Evgeni Golov <sargentd@die-welt.net>  Sun, 08 Mar 2009 12:06:01 +0100

tp-smapi (0.40-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/99_Makefile-for-Debian.dpatch.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 16 Dec 2008 09:48:28 +0100

tp-smapi (0.39-1) experimental; urgency=low

  * New upstream release.
  * Drop 02_fix_semaphore_h_include.dpatch, included upstream.
  * Refresh 01_include-thinkpad_ec.h-directly.dpatch.
  * Bump Standards-Version to 3.8.0.
  * Add README.source.
  * Move bzip2 from Build-Depends to Build-Depends-Indep.

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 30 Sep 2008 19:38:49 +0200

tp-smapi (0.37-3) unstable; urgency=low

  * New patch 02_fix_semaphore_h_include.dpatch
    + Fixes the include of semaphore.h in newer kernels (Closes: #497990).

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 08 Sep 2008 15:19:45 +0200

tp-smapi (0.37-2) unstable; urgency=low

  * Update 99_Makefile-for-Debian.dpatch to not set CFLAGS (Closes: #476360)

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 16 Apr 2008 12:55:41 +0200

tp-smapi (0.37-1) unstable; urgency=low

  * New Upstream Version
  * Drop 02_fix_2.6.25.dpatch, was merged upstream

 -- Evgeni Golov <sargentd@die-welt.net>  Sat, 29 Mar 2008 09:54:31 +0100

tp-smapi (0.36-2) unstable; urgency=low

  * Update 99_Makefile-for-Debian.dpatch
    tp-smapi is now build-able via linux-modules-extra (Closes: 462952)
  * Add 02_fix_2.6.25.dpatch
    Fix build errors with 2.6.25 kernel

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 11 Feb 2008 16:12:50 +0100

tp-smapi (0.36-1) unstable; urgency=low

  * New upstream release
    Fixes HDAPS on T/R 61 (Closes: #460060)
    Adds correct HDAPS orientation for X61 (Closes: #461825)

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 28 Jan 2008 00:58:22 +0100

tp-smapi (0.34-1) unstable; urgency=low

  * New upstream release

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 07 Jan 2008 08:32:37 +0100

tp-smapi (0.33-1) unstable; urgency=low

  * New upstream release
  * Drop patches/02_Makefile-for-2.6.24.dpatch, upstream supports 2.6.24
  * Bump to Standards-Version 3.7.3, no changes needed

 -- Evgeni Golov <sargentd@die-welt.net>  Fri, 28 Dec 2007 13:53:40 +0100

tp-smapi (0.32-3) unstable; urgency=low

  * added Homepage-field to debian/control
  * moved examples/sysfs.conf from -source to -modules
  * fixed a typo in the long description
  * fixed the reference to GPL (it's GPL-2, not GPL-3 where GPL links to)
  * removed an unused file in debian/patches
  * use 'CFLAGS ?=', not just '='

 -- Evgeni Golov <sargentd@die-welt.net>  Wed, 5 Dec 2007 16:41:00 +0100

tp-smapi (0.32-2) UNRELEASED; urgency=low

  * some cleanups, thanks to Joe Nahmias
  * make tp-smapi compile against kernels >= 2.6.24

 -- Evgeni Golov <sargentd@die-welt.net>  Tue, 4 Dec 2007 09:49:00 +0100

tp-smapi (0.32-1) UNRELEASED; urgency=low

  * Initial release (Closes: #398533)

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 6 Aug 2007 23:44:53 +0200

